Skip to main content
PATCH
/
v2
/
projects
/
{project_id}
/
users
/
{user_id}
Update User Project Collaborator
curl --request PATCH \
  --url https://api.galileo.ai/v2/projects/{project_id}/users/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '{}'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/users/{user_id}"

payload = {}
headers = {
    "Splunk-AO-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/users/{user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "user_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "permissions": []
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required
user_id
string<uuid4>
required

Body

application/json
role
enum<string>
required
Available options:
owner,
editor,
annotator,
viewer

Response

Successful Response

id
string<uuid4>
required
role
enum<string>
required
Available options:
owner,
editor,
annotator,
viewer
created_at
string<date-time>
required
user_id
string<uuid4>
required
first_name
string | null
required
last_name
string | null
required
email
string
required
permissions
Permission · object[]